function res = find_last(k0,N_eff,n1,n2,n3,n4,n5,boundary)
% Uses 'shooting' method to find the value of the mode at the boundary, assuming that the
% mode value is zero at the beginning

options = odeset('RelTol',1e-6,'AbsTol',[1e-7]);

  eps = n1.^2;
  [T1,Y1] = ode45('wave_eq',[boundary(1) boundary(2)],[0.001; 0.001],[],k0,N_eff,eps);
  len1 = length(Y1(:,1));
  
  eps = n2.^2;
  [T2,Y2] = ode45('wave_eq',[boundary(2) boundary(3)],[Y1(len1,1); Y1(len1,2)],options,k0,N_eff,eps);
  len2 = length(Y2(:,1));

  eps = n3.^2;
  [T3,Y3] = ode45('wave_eq',[boundary(3) boundary(4)],[Y2(len2,1); Y2(len2,2)],options,k0,N_eff,eps);
  len3 = length(Y3(:,1));

  eps = n4.^2;
  [T4,Y4] = ode45('wave_eq',[boundary(4) boundary(5)],[Y3(len3,1); Y3(len3,2)],options,k0,N_eff,eps);
  len4 = length(Y4(:,1));

  eps = n5.^2;
  [T5,Y5] = ode45('wave_eq',[boundary(5) boundary(6)],[Y4(len4,1); Y4(len4,2)],options,k0,N_eff,eps);
  len5 = length(Y5(:,1));
  
  res = Y5(len5,1);