% define the waveguide parameters
%         =================
%         ===== Nc ========
%         =================
%         /////////////////  |
%         ///// Nf ////////  | d
%         /////////////////  |
%         \\\\\\\\\\\\\\\\\
%         \\\\\ Ns \\\\\\\\
%         \\\\\\\\\\\\\\\\\

% mode number 
m = 0;
% free space wave vector
k = 2.*pi./lambda;
% normalized waveguide thickness
V = k.*d.*sqrt(Nf^2-Ns^2);
% asymmetry measure
b = 0:0.005:0.95;
V1= 1./sqrt(1-b).*(m.*pi + atan(sqrt(b./(1-b)))+atan(sqrt((b+0)./(1-b))));
V2= 1./sqrt(1-b).*(m.*pi + atan(sqrt(b./(1-b)))+atan(sqrt((b+1)./(1-b))));
V3= 1./sqrt(1-b).*(m.*pi + atan(sqrt(b./(1-b)))+atan(sqrt((b+10)./(1-b))));
V4= 1./sqrt(1-b).*(m.*pi + atan(sqrt(b./(1-b)))+atan(sqrt((b+100)./(1-b))));

figure(1);
plot(V1,b,V2,b,V3,b,V4,b);
title('Effective index curve');
legend('m=0,a=0','m=0,a=1','m=0,a=10','m=0,a=100');
xlabel('normalized waveguide width V');
ylabel('normalized guide index b');
