function n = InGaAsPindex(x,y,lambda)

% lambda in microns


Ep = 6.626176e-034*2.99792458e+08/(lambda*1e-6)/1.6021892e-19;
A = 8.40-3.40.*y;
B = 6.60+3.40.*y;
delta = .1+.33.*y-.09.*(1-x).*y;
Eg = InGaAsPbandgap(x,y);

if(any(Ep>Eg))
   Ep = (Ep>Eg)*Eg+(Ep<=Eg).*Ep;
end


x0 = Ep./(Eg+delta);
x = Ep./Eg;
xfun = (2-sqrt(1+x)-sqrt(1-x))./x.^2;
x0fun = (2-sqrt(1+x0)-sqrt(1-x0))./x0.^2;

n = sqrt(A.*(xfun+.5.*(Eg./(Eg+delta)).^(3/2).*x0fun)+B);

