function [t,n] = WaveData(thick,index,points,filename)

if nargin == 3
   filename = [];
   t1 = thick;
   n1 = index;
   p1 = points;
end

if ~isempty(filename)
	fid = fopen(filename);
	if fid == -1, disp(['Bad File Name: ',filename]),...
         msgbox('Bad File Name','Error','error'), return, end
	[C] = fscanf(fid,'%f',inf)';
	fclose(fid);
	C = reshape(C,3,length(C)/3);
	t1 = C(1,:);
	n1 = C(2,:);
   p1 = C(3,:);
end

t = [];
n = [];

lep = [0,cumsum(t1)];
ep = .1;

for i = 1:length(t1)
   dt = (t1(i)-ep)/(p1(i)-1);
   t = [t,lep(i),(1:p1(i)-1)*dt+lep(i)];
   n = [n,ones(1,p1(i))*n1(i)];
end

N = length(t)-2;

%plot([t;t],[0,4],t,n);
