function diff = gridconst(c,slope,d)
%GRIDCONST  Used in finding the c coefficient for a power series
%  DIFF = GRIDCONST(C,SLOPE,D)  Used by fzero to find the c coefficient
%  in the power series used by the function definegrid
%
%  fzero uses gridconst to solve the equation:
%      
%      sum(c.^slope) = d
%
%  for the constant c
%
%   See also DEFINEGRID

diff = sum(c.^slope) - d;
